Bug 868554 - $RPM_LD_FLAGS should be propagated to qmake's defaults
$RPM_LD_FLAGS should be propagated to qmake's defaults
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 15:35 EDT by Ville Skyttä
Modified: 2013-02-01 16:26 EST (History)
8 users (show)

See Also:
Fixed In Version: qt-4.8.3-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 16:26:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Propagate $RPM_LD_FLAGS to qmake's defaults (536 bytes, patch)
2012-10-20 15:35 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2012-10-20 15:35:16 EDT
Created attachment 630620 [details]
Propagate $RPM_LD_FLAGS to qmake's defaults

Just like $RPM_OPT_FLAGS are propagated to qmake's defaults in its *.conf files, $RPM_LD_FLAGS should be. Fix attached.
Comment 1 Fedora Update System 2012-10-20 22:59:30 EDT
qt-4.8.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt-4.8.3-4.fc18
Comment 2 Fedora Update System 2012-10-21 01:59:02 EDT
Package qt-4.8.3-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-4.8.3-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16551/qt-4.8.3-4.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-10-27 18:02:43 EDT
qt-4.8.3-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qt-4.8.3-7.fc16
Comment 4 Fedora Update System 2012-10-27 18:03:08 EDT
qt-4.8.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qt-4.8.3-7.fc17
Comment 5 Fedora Update System 2012-11-06 03:02:44 EST
qt-4.8.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-11-08 00:38:02 EST
qt-4.8.3-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-11-14 21:39:37 EST
qt-4.8.3-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.